# Re: pre-release available for testing

Martin Huber (hu@garfield.m.isar.de)
Tue, 3 Nov 1998 23:51:42 +0100 (MET)

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Andre Couture: "accessing saned from TWAIN/Windows???"
- Previous message: Sebastian Erdmann: "Patch to make Microtek Phantom 636 SCSI (aka ScanMaker X6) work"

> From: "Scott J. Kramer" <sjk@lux.com>
> Date: Fri, 30 Oct 1998 23:10:07 -1000
> .......
>
> On Fri, 30-Oct-1998 @ 23:42, David Mosberger-Tang wrote:
> > Subject: pre-release available for testing
>
> [...]
>
> Hi David,
>
> Just grabbed sane-pre0.75.tar.gz and diff'd it with sane-0.74, and...
>
> I'd like to suggest upgrading to at least version 1.2 of libtool --
> that was what was necessary for me to build sane-0.74 for Solaris
> 2.5.1 (gcc-2.8.1). Otherwise, the `make' produces core dumps when
> attempting to create executables under frontend/.libs:
>
> ...
> making all in frontend
> make[1]: Entering directory `/opt/src/local/sane-0.74/frontend'
> gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/opt/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/opt/local/share -DV_MAJOR=0 -DV_MINOR=74
-O2 -Wall -I/opt/X11/lib/glib/include -I/opt/X11/include -I/opt/X11R6.3/include
scanimage.c
> mkdir .libs
> gcc -s -o .libs/scanimage scanimage.o -R/opt/local/lib
../backend/.libs/libsane.so ../lib/liblib.a -ldl -lsocket -lnsl -lintl -lm
> creating scanimage
> Segmentation Fault - core dumped
> gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/opt/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/opt/local/share -DV_MAJOR=0 -DV_MINOR=74
-O2 -Wall -I/opt/X11/lib/glib/include -I/opt/X11/include -I/opt/X11R6.3/include
xscanimage.c
> ...
>
> That doesn't show the call to the libtool script, but the "creating
> scanimage" message is from it. I tracked the trouble to some sort
> of printf command argument overflow bug; I didn't save the details,
> sorry, and I'm too lazy/busy to go thru the drill that I did last
> month to isolate it. :-) To my knowledge, no patch exists.
>
> I grabbed ltconfig and ltmain.sh files from the gtk+1.0.5 distribution
> and those generated a working libtools script. The difference that
> matters is the gtk+ ltconfig does tests for a working echo command
> before the test for printf.
>
> I haven't tried compiled sane-pre0.75 yet, but I'm certain it will
> fail unless I do the libtool upgrade as I did for sane-0.74. I'll
> let you know if there are any other Solaris-type troubles with 0.75,
> too.
>
> Thanx much to all SANE authors for writing/providing this cool
> software package. I've converted an old Sun IPX into a "scanner
> server" using saned and it works just dandy thru gimp+xscanimage
> running on an SS5. Sometimes the xscanimage plugin crashes, but
> that's only a minor nuisance 'cuz I'm not doing anything serious
> enough to care... I'd rather that than be forced to use a PC to
> run the scanner. :-)
>

I compiled sane-0.74 as well as sane-pre0.75 on Solaris 2.6 sparc
and x86 without any errors.

--martin

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Andre Couture: "accessing saned from TWAIN/Windows???"
- Previous message: Sebastian Erdmann: "Patch to make Microtek Phantom 636 SCSI (aka ScanMaker X6) work"